using System.ComponentModel.DataAnnotations.Schema;

namespace EnotaryoPH.Data.Entities
{
    [Table("LawyerVideoConferenceSchedule")]
    public class LawyerVideoConferenceSchedule
    {
        [Column("LawyerVideoConferenceScheduleID")]
        public int LawyerVideoConferenceScheduleID { get; set; }

        [Column("LawyerID")]
        public int LawyerID { get; set; }

        [Column("TransactionID")]
        public int TransactionID { get; set; }

        [Column("MeetingDate")]
        public DateTime MeetingDate { get; set; }

        [Column("CreatedOn")]
        public DateTime? CreatedOn { get; set; }

        [Column("LawyerVideoConferenceSchedule_UID")]
        public Guid LawyerVideoConferenceSchedule_UID { get; set; }

        [Column("Status")]
        public string? Status { get; set; }

        public List<LawyerVideoConferenceParticipant> LawyerVideoConferenceParticipants { get; set; }
    }
}